/**
 * SWE KEx-DatexII (de.bsvrz.kex.datex2)
 * 
 * Copyright (C) 2014 TraffGo Road GmbH
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * TraffGo Road GmbH
 * Ostwall 11-19
 * 47798 Krefeld
 * Phone: +49-2151-3295058
 * mailto: info@traffgoroad.de
 */

package de.bsvrz.kex.datex2.allgemein;

import java.io.Serializable;

/**
 * (Familien-)Interface für persistierende Daten. Ermöglicht es, einfache Daten
 * mit unterschiedlichen technischen Speichermethoden (bspw. per Datei,
 * per Datenverteiler-Parametrierung) zu persistieren.
 * Die Daten sollen grundsätzlich in einem Schlüssel-Wert-Paar vorliegen.
 * 
 * @author TraffGo Road GmbH
 * @version $Id$
 */

public interface PersistenzModul extends KonfigurationsModul {
  /**
   * Persistentes Speichern eines Werts unter einem Schlüssel. Wenn der Typ des Werts nicht "String" ist,
   * wird der Wert durch die Methode toString() gespeichert. 
   * 
   * @param key Schlüssel
   * @param value Wert
   * @param <T> Klasse des Werts
   */
  <T extends Serializable> void putData(String key, T value);
}
